File: lograge.gemspec

package info (click to toggle)
ruby-lograge 0.5.0-1~bpo9+1
  • links: PTS, VCS
  • area: main
  • in suites: stretch-backports
  • size: 108 kB
  • sloc: ruby: 427; makefile: 3
file content (46 lines) | stat: -rw-r--r-- 2,664 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
#########################################################
# This file has been automatically generated by gem2tgz #
#########################################################
# -*- encoding: utf-8 -*-
# stub: lograge 0.5.0 ruby lib

Gem::Specification.new do |s|
  s.name = "lograge".freeze
  s.version = "0.5.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Mathias Meyer".freeze, "Ben Lovell".freeze]
  s.date = "2017-04-28"
  s.description = "Tame Rails' multi-line logging into a single line per request".freeze
  s.email = ["meyer@paperplanes.de".freeze, "benjamin.lovell@gmail.com".freeze]
  s.files = ["lib/lograge.rb".freeze, "lib/lograge/formatters/cee.rb".freeze, "lib/lograge/formatters/graylog2.rb".freeze, "lib/lograge/formatters/json.rb".freeze, "lib/lograge/formatters/key_value.rb".freeze, "lib/lograge/formatters/l2met.rb".freeze, "lib/lograge/formatters/lines.rb".freeze, "lib/lograge/formatters/logstash.rb".freeze, "lib/lograge/formatters/ltsv.rb".freeze, "lib/lograge/formatters/raw.rb".freeze, "lib/lograge/log_subscriber.rb".freeze, "lib/lograge/rails_ext/rack/logger.rb".freeze, "lib/lograge/railtie.rb".freeze, "lib/lograge/version.rb".freeze]
  s.homepage = "https://github.com/roidrage/lograge".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "2.5.2".freeze
  s.summary = "Tame Rails' multi-line logging into a single line per request".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<actionpack>.freeze, ["<= 5.1.0", ">= 4"])
      s.add_runtime_dependency(%q<activesupport>.freeze, ["<= 5.1.0", ">= 4"])
      s.add_runtime_dependency(%q<railties>.freeze, ["<= 5.1.0", ">= 4"])
      s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
      s.add_development_dependency(%q<rubocop>.freeze, ["= 0.46.0"])
    else
      s.add_dependency(%q<actionpack>.freeze, ["<= 5.1.0", ">= 4"])
      s.add_dependency(%q<activesupport>.freeze, ["<= 5.1.0", ">= 4"])
      s.add_dependency(%q<railties>.freeze, ["<= 5.1.0", ">= 4"])
      s.add_dependency(%q<rspec>.freeze, [">= 0"])
      s.add_dependency(%q<rubocop>.freeze, ["= 0.46.0"])
    end
  else
    s.add_dependency(%q<actionpack>.freeze, ["<= 5.1.0", ">= 4"])
    s.add_dependency(%q<activesupport>.freeze, ["<= 5.1.0", ">= 4"])
    s.add_dependency(%q<railties>.freeze, ["<= 5.1.0", ">= 4"])
    s.add_dependency(%q<rspec>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop>.freeze, ["= 0.46.0"])
  end
end